curl --request GET \
--url https://api.apitally.io/v1/apps/{app_id}/request-logs/{request_uuid} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.apitally.io/v1/apps/{app_id}/request-logs/{request_uuid}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.apitally.io/v1/apps/{app_id}/request-logs/{request_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": "2023-11-07T05:31:56Z",
"request_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"env": "prod",
"consumer": "user-123",
"method": "GET",
"path": "/v1/users/{user_id}",
"url": "https://api.example.com/v1/users/1",
"status_code": 200,
"request_size_bytes": 123,
"response_size_bytes": 123,
"response_time_ms": 123,
"client_ip": "203.45.123.67",
"client_country_iso_code": "US",
"request_headers": [
[
"<string>",
"<string>"
]
],
"response_headers": [
[
"<string>",
"<string>"
]
],
"request_body_json": "<string>",
"response_body_json": "<string>",
"trace_id": "<string>",
"exception": {
"type": "KeyError",
"message": "<string>",
"stacktrace": "<string>",
"sentry_event_id": "<string>"
},
"logs": [
{
"timestamp": "2023-11-07T05:31:56Z",
"message": "<string>",
"level": "INFO",
"logger": "<string>",
"file": "<string>",
"line": 123
}
],
"spans": [
{
"span_id": "<string>",
"parent_span_id": "<string>",
"name": "<string>",
"kind": "CLIENT",
"start_time_ns": 123,
"end_time_ns": 123,
"duration_ns": 123,
"status": "OK",
"attributes": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Request Details
Get detailed information about a specific request, including headers, body, application logs, and spans.
Authorizations
Path Parameters
App ID
x >= 1Request UUID
Response
Successful Response
Timestamp of the request
Unique identifier for the request
Environment
"prod"
Consumer identifier
"user-123"
HTTP method
"GET"
Request path
"/v1/users/{user_id}"
Request URL
"https://api.example.com/v1/users/1"
HTTP response status code
200
Size of the request in bytes
Size of the response in bytes
Response time in milliseconds
Client IP address
"203.45.123.67"
ISO code of the client's country based on the IP address
"US"
Request headers as name-value pairs
Show child attributes
Show child attributes
Response headers as name-value pairs
Show child attributes
Show child attributes
Request body as a JSON string, if applicable
Response body as a JSON string, if applicable
Trace ID as a 32-character hex string
Exception details, if an error occurred
Show child attributes
Show child attributes
Application log entries associated with this request
Show child attributes
Show child attributes
Spans associated with this request
Show child attributes
Show child attributes